Qt 5.7 | Qt Sensors | C++ Classes | QIRProximitySensor

Qt 5.7.1 Reference Documentation

# QIRProximitySensor Class

The QIRProximitySensor class is a convenience wrapper around QSensor. More...

Header: | #include <QIRProximitySensor>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensor

- List of all members, including inherited members

## Public Functions

| QIRProximitySensor(QObject *parent = Q_NULLPTR)
virtual | ~QIRProximitySensor()
QIRProximityReading * | reading() const

- 37 public functions inherited from QSensor

### Additional Inherited Members

- 20 properties inherited from QSensor
- 2 public slots inherited from QSensor
- 14 signals inherited from QSensor
- 3 static public members inherited from QSensor

## Detailed Description

The QIRProximitySensor class is a convenience wrapper around QSensor.

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QIRProximityReading instead of a QSensorReading.

For details about how the sensor works, see QIRProximityReading.

See also QIRProximityReading.

## Member Function Documentation

### QIRProximitySensor::QIRProximitySensor(QObject *parent = Q_NULLPTR)

Construct the sensor as a child of parent.

### `[virtual]` QIRProximitySensor::~QIRProximitySensor()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QIRProximityReading *QIRProximitySensor::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().